<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Post</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="/css/global.css" rel="stylesheet">
    <link href="/css/post.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="/css/tags.css">
    <script src="/js/image_preview.js" defer></script>
    <script src="/js/tags.js" defer></script>
  </head>
  <body>
    <a href="/">back</a>
    <br>
    <form action="/items?redirect=/" accept=".png,.jpeg,.jpg,.webp" method="post" enctype="multipart/form-data">
      <fieldset>
        <legend>Info</legend>
        <input type="text" name="title" id="title" placeholder="Title">
        <textarea cols="5" name="description" id="description" placeholder="Description"></textarea>
        <div class="tag_container" id="tag_preview"></div>
        <textarea name="tags" id="tags" placeholder="tags"></textarea>
        <input type="number" name="price" value="0.5" step="0.01" min="0.5" placeholder="Price">
        <input type="number" name="discount" value="0" step="1" min="0" max="100" placeholder="Discount">
        <input type="number" name="amount" value="1" step="1" min="1" placeholder="Amount">
      </fieldset>
      <fieldset>
        <legend>Select images</legend>
        <input type="file" multiple="multiple" name="image" id="image">
        <br>
        <div id="img-preview"></div>
      </fieldset>
      <input type="submit" name="submit" value="Post">
    </form>
  </body>
</html>
